> ## Documentation Index
> Fetch the complete documentation index at: https://docs.watchr.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Access Token



## OpenAPI

````yaml /api-reference/openapi.json post /auth/refresh
openapi: 3.1.0
info:
  title: Watchr
  version: 0.0.0
servers: []
security: []
paths:
  /auth/refresh:
    post:
      tags:
        - Authentication
      summary: Refresh Access Token
      operationId: post_auth_refresh
      parameters:
        - name: refresh_token
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Refresh Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessToken'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AccessToken:
      properties:
        access_token:
          type: string
          title: Access Token
        token_type:
          type: string
          title: Token Type
      type: object
      required:
        - access_token
        - token_type
      title: AccessToken
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````